package com.atlassian.bitbucket.internal.importer;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Indicates the given {@link ExternalRepository#getScmId()} does not support importing.
 */
public class UnsupportedScmForImportException extends ServiceException {

    public UnsupportedScmForImportException(@Nonnull KeyedMessage message) {
        this(message, null);
    }

    public UnsupportedScmForImportException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
